Bug 836603 - [BUG] systems page / tasks / add a Family into the query and submit
[BUG] systems page / tasks / add a Family into the query and submit
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.9.1
: ---
Assigned To: Raymond Mancy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-29 11:46 EDT by Bill Peck
Modified: 2014-12-07 20:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 20:38:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2012-06-29 11:46:36 EDT
Description of problem:
Searching executed tasks for a system does not work if you select a family.

Version-Release number of selected component (if applicable):
0.9.0-4

How reproducible:
Everytime

Steps to Reproduce:
1. go to system page
2. Click on Tasks tab
3. select any family from pull down
4. submit
5. You will get a 500 error and the following traceback in server-debug.log


Additional info:
[bpeck@beaker-02 ~]$ tail -f /var/log/beaker/server-debug.log | grep -A50 Trace
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/CherryPy-2.3.0-py2.6.egg/cherrypy/_cphttptools.py", line 121, in _run
    self.main()
  File "/usr/lib/python2.6/site-packages/CherryPy-2.3.0-py2.6.egg/cherrypy/_cphttptools.py", line 264, in main
    body = page_handler(*virtual_path, **self.params)
  File "<string>", line 3, in do_search
  File "/usr/lib/python2.6/site-packages/turbogears/controllers.py", line 361, in expose
    *args, **kw)
  File "<generated code>", line 0, in run_with_transaction
  File "/usr/lib/python2.6/site-packages/peak/rules/core.py", line 153, in __call__
    return self.body(*args, **kw)
  File "/usr/lib/python2.6/site-packages/turbogears/database.py", line 458, in sa_rwt
    retval = func(*args, **kw)
  File "/usr/lib/python2.6/site-packages/turbogears/controllers.py", line 244, in _expose
    @abstract()
  File "<generated code>", line 0, in _expose
  File "/usr/lib/python2.6/site-packages/peak/rules/core.py", line 153, in __call__
    return self.body(*args, **kw)
  File "/usr/lib/python2.6/site-packages/turbogears/controllers.py", line 390, in <lambda>
    fragment, options, args, kw)))
  File "/usr/lib/python2.6/site-packages/turbogears/controllers.py", line 425, in _execute_func
    output = errorhandling.try_call(func, *args, **kw)
  File "/usr/lib/python2.6/site-packages/turbogears/errorhandling.py", line 77, in try_call
    return func(self, *args, **kw)
  File "<string>", line 3, in do_search
  File "/usr/lib/python2.6/site-packages/turbogears/controllers.py", line 207, in validate
    return errorhandling.run_with_errors(errors, func, *args, **kw)
  File "/usr/lib/python2.6/site-packages/turbogears/errorhandling.py", line 118, in run_with_errors
    return func(self, *args, **kw)
  File "<string>", line 3, in do_search
  File "/usr/lib/python2.6/site-packages/turbogears/paginate.py", line 147, in decorated
    output = func(*args, **kw)
  File "/usr/lib/python2.6/site-packages/bkr/server/tasks.py", line 250, in do_search
    return self._do_search(hidden=hidden, **kw)
  File "/usr/lib/python2.6/site-packages/bkr/server/tasks.py", line 308, in _do_search
    DistoTree.distro, Distro.osversion, OSVersion.osmajor)\
NameError: global name 'DistoTree' is not defined
Comment 1 Raymond Mancy 2012-07-04 21:39:21 EDT
s/DistoTree/DistroTree/
http://gerrit.beaker-project.org/#/c/1177/
Comment 4 Dan Callaghan 2012-07-19 20:38:38 EDT
Beaker 0.9.1 has been released.

Note You need to log in before you can comment on or make changes to this bug.